%define anolis_release 1
%bcond_without check
%undefine _missing_build_ids_terminate_build
%define debug_package %{nil}

Name:           git-lfs
Version:        3.6.1
Release: 	%{anolis_release}%{?dist}
Summary:        Git extension for versioning large files

License:        MIT
URL:            https://git-lfs.github.io/
Source0:        https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# vendor.tar.xz generated by:
# cd %{name}-%{version}/
# go mod vendor
# go build -mod=vendor
# tar -cJf vendor.tar.xz vendor/
Source1:        vendor.tar.xz

BuildRequires:  gnupg2
BuildRequires:  curl
BuildRequires:  fdupes
BuildRequires:  git-core >= 1.8.2
BuildRequires:  go-rpm-macros
BuildRequires:  which
BuildRequires:  golang >= 1.18
# Generate man pages
BuildRequires:  /usr/bin/asciidoctor

Requires:       git-core >= 1.8.5

%description
Git Large File Storage (LFS) replaces large files such as audio samples,
videos, datasets, and graphics with text pointers inside Git, while
storing the file contents on a remote server.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 -a 1

%build
go build -mod=vendor --buildmode=pie .

make man

%install
install -D -m 755 git-lfs %{buildroot}%{_bindir}/git-lfs

for section in 1 5 7; do
    install -d -p %{buildroot}%{_mandir}/man${section}/
    install -Dpm0644 man/man${section}/*.${section} %{buildroot}%{_mandir}/man${section}/
done

%post
%{_bindir}/%{name} install --system --skip-repo

%preun
if [ $1 -eq 0 ] ; then
  %{_bindir}/%{name} uninstall --system --skip-repo
fi

%if %{with check}
%check
export GIT_LFS_TEST_DIR=$(mktemp -d)
export SKIPAPITESTCOMPILE=1
go test -x -mod=vendor
%endif


%files
%license LICENSE.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*
%{_mandir}/man7/%{name}*.7*

%files doc
%doc README.md CHANGELOG.md docs

%changelog
* Thu Feb 13 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.6.1-1
- Update to 3.6.1 from 3.4.0
- Update vendor.tar.xz
- Fix CVE-2024-53263

* Mon Nov  6 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 3.4.0-1
- update to 3.4.0

* Tue Mar 21 2023 happy_orange <songnannan@linux.alibaba.com> - 3.3.0-1
- package init from upstream
